EAS build IOS: Error: pod exited with non-zero code: 1

Hello!
Help please )
Got error while made eas build --platform ios.

Waiting for build to complete. You can press Ctrl+C to exit.
× Build failed

🍎 iOS build failed:
Unknown error. Please see logs.

Log:

Sat, 03 Apr 2021 13:15:43 GMT
Build failed: pod exited with non-zero code: 1
Error: pod exited with non-zero code: 1
    at ChildProcess.completionListener (/usr/local/eas-build-worker/node_modules/@expo/spawn-async/build/spawnAsync.js:52:23)
    at Object.onceWrapper (events.js:422:26)
    at ChildProcess.emit (events.js:315:20)
    at ChildProcess.EventEmitter.emit (domain.js:486:12)
    at maybeClose (internal/child_process.js:1048:16)
    at Socket.<anonymous> (internal/child_process.js:439:11)
    at Socket.emit (events.js:315:20)
    at Socket.EventEmitter.emit (domain.js:486:12)
    at Pipe.<anonymous> (net.js:673:12)
    ...
    at Object.spawnAsync [as default] (/usr/local/eas-build-worker/node_modules/@expo/spawn-async/build/spawnAsync.js:17:21)
    at Object.spawn [as default] (/usr/local/eas-build-worker/node_modules/@expo/turtle-spawn/dist/index.js:17:42)
    at Object.installPods (/usr/local/eas-build-worker/node_modules/@expo/build-tools/dist/ios/pod.js:12:33)
    at /usr/local/eas-build-worker/node_modules/@expo/build-tools/dist/builders/iosManaged.js:27:21
    at ManagedBuildContext.runBuildPhase (/usr/local/eas-build-worker/node_modules/@expo/build-tools/dist/context.js:37:34)
    at Object.iosManagedBuilder (/usr/local/eas-build-worker/node_modules/@expo/build-tools/dist/builders/iosManaged.js:26:15)
    at async build (/usr/local/eas-build-worker/dist/ios/build.js:79:16)
    at async Object.buildIos [as default] (/usr/local/eas-build-worker/dist/ios/build.js:29:31)
    at async Object.build (/usr/local/eas-build-worker/dist/build.js:31:31)
    at async BuildService.startBuildInternal (/usr/local/eas-build-worker/dist/service.js:128:33)

Tried not once, 3-4 times. The same error.
expo build:ios works without errors.

Thanks
David

eas build doesn’t fully support managed apps yet - that’s coming with sdk41

that said this looks like pod install failed, i’d need to see your project to be able to help further. you can repro it locally by running expo eject

Thanks
What’s next? What should I do to show the project?

did pod install succeed? can you share a link to your build page on expo.io?

d:\expo\Sendmoney24>expo eject
Warning! Your git working tree is dirty.
It’s recommended to commit all your changes before proceeding, so you can revert the changes made by this command if necessary.

√ Would you like to proceed? … yes

√ Created native project | /android already created | gitignore already synced
√ Updated package.json and added index.js entry point for iOS and Android.
:package: Using npm to install packages.
√ Cleaned JavaScript dependencies.
√ Installed JavaScript dependencies.
√ Config synced

:warning: The app has 2 packages that require extra setup before building:
› expo-image-picker: … github … /expo/expo/tree/master/packages/expo-image-picker
› expo-local-authentication: … github … /expo/expo/tree/master/packages/expo-local-authentication

:arrow_right: Next steps
:chocolate_bar: When CocoaPods is installed, initialize the project workspace: npx pod-install
:bulb: You may want to run npx @react-native-community/cli doctor to help install any tools that your app may need to run your native projects.
:key: Download your Android keystore (if you’re not sure if you need to, just run the command and see): expo fetch:android:keystore
:file_folder: The property assetBundlePatterns does not have the same effect in the bare workflow.
Learn more: … docs.expo.io/bare/updating-your-app/#embedding-assets

==========================

Really, I don’t completely understand what’s going on. I can’t see a new project on expo. Folder /android created, but no /ios folder. It’s not enough info for me …

The app has 2 packages that require extra setup before building:

What should I do with this?

we don’t support managed sdk 40 projects on eas build yet for precisely the reasons you’ve encountered - not every module will work! we will have this all in a good spot in sdk 41, we’ll announce this when its ready.

1 Like

oh, also, if you want to try it with sdk 41 beta: https://blog.expo.io/expo-sdk-41-beta-is-now-available-958edcd78991

1 Like

Thanks, notbrent. Let’s wait sdk 41. I’ll try beta, thx.

1 Like